summaryrefslogtreecommitdiffstats
path: root/source/a/gzip/gzip.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/gzip/gzip.SlackBuild')
-rwxr-xr-xsource/a/gzip/gzip.SlackBuild4
1 files changed, 3 insertions, 1 deletions
diff --git a/source/a/gzip/gzip.SlackBuild b/source/a/gzip/gzip.SlackBuild
index 77d12698a..4afb707fa 100755
--- a/source/a/gzip/gzip.SlackBuild
+++ b/source/a/gzip/gzip.SlackBuild
@@ -26,7 +26,7 @@ PKGNAM=gzip
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-2}
-NUMJOBS=${NUMJOBS:--j6}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,6 +70,8 @@ rm -rf ${PKGNAM}-${VERSION}
tar xvf $CWD/${PKGNAM}-$VERSION.tar.xz || exit 1
cd ${PKGNAM}-$VERSION
+zcat $CWD/gzip.glibc228.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . \